Bug 1292069 - CVE-2015-5299 CVE-2015-7540 CVE-2015-3223 CVE-2015-5252 CVE-2015-5296 samba: various flaws [fedora-all]
CVE-2015-5299 CVE-2015-7540 CVE-2015-3223 CVE-2015-5252 CVE-2015-5296 samba: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5299 CVE-2015-7540 CVE-2015-3223 CVE-2015-5252 CVE-2015-5296
  Show dependency treegraph
 
Reported: 2015-12-16 07:08 EST by Siddharth Sharma
Modified: 2015-12-26 16:51 EST (History)
8 users (show)

See Also:
Fixed In Version: samba-4.3.3-0.fc23 samba-4.2.7-0.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 02:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddharth Sharma 2015-12-16 07:08:37 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Siddharth Sharma 2015-12-16 07:08:48 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1276126,1288451,1290287,1290288,1290292,1292069

# Description of your update
notes=Security fix for CVE-2015-5299, CVE-2015-7540, CVE-2015-3223, CVE-2015-5252, CVE-2015-5296

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1276126,1288451,1290287,1290288,1290292,1292069
Comment 2 Fedora Update System 2015-12-16 11:44:28 EST
samba-4.3.3-0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b36076d32e
Comment 3 Fedora Update System 2015-12-16 11:45:05 EST
samba-4.2.7-0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0e0879cc8a
Comment 4 Fedora Update System 2015-12-17 05:28:31 EST
samba-4.3.3-0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update samba'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b36076d32e
Comment 5 Fedora Update System 2015-12-17 05:28:33 EST
samba-4.2.7-0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update samba'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0e0879cc8a
Comment 6 Fedora Update System 2015-12-18 02:51:38 EST
samba-4.3.3-0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-12-26 16:51:52 EST
samba-4.2.7-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.